Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book.install
Class InstallManagerComboBoxModel

    java.lang.Object
      javax.swing.AbstractListModel
          org.crosswire.bibledesktop.book.install.InstallManagerComboBoxModel

All Implemented Interfaces:
  Serializable, ComboBoxModel, ListModel

    public class InstallManagerComboBoxModel

extends AbstractListModel
implements ComboBoxModel

A ListModel for a JList that uses the list of Installers given by the InstallManager.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Nested Class Summary
`(package private) class` | `InstallManagerComboBoxModel.CustomInstallerListener` Listens to the InstallManager for Installer changes

Field Summary
`private InstallManager` | `imanager` The install manager that we are representing
`private List` | `names` A cache of the names in the Install Manager
`private Object` | `selection` The currently selected object
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`InstallManagerComboBoxModel(InstallManager imanager)` Simple ctor

Method Summary
`Object` | `getElementAt(int index)`
`Object` | `getSelectedItem()`
`int` | `getSize()`
`void` | `setSelectedItem(Object selection)`
`protected void` | `update(InstallerEvent ev)` Simple way to avoid eclipse private/protected warning

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Field Detail

### selection

    private Object selection

  The currently selected object

### names

    private List names

  A cache of the names in the Install Manager

### imanager

    private transient InstallManager imanager

  The install manager that we are representing

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### InstallManagerComboBoxModel

    public InstallManagerComboBoxModel(InstallManager imanager)

  Simple ctor

Method Detail

### getSelectedItem

    public Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `ComboBoxModel`

### setSelectedItem

    public void setSelectedItem(Object selection)

  Specified by:
    `setSelectedItem` in interface `ComboBoxModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `ListModel`

### getElementAt

    public final Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `ListModel`

### update

    protected final void update(InstallerEvent ev)

  Simple way to avoid eclipse private/protected warning

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD